Đến nội dung


Hình ảnh
* * * - - 8 Bình chọn

Viết lisp theo yêu cầu [phần 2]


  • Chủ đề bị khóa Chủ đề bị khóa
3783 replies to this topic

#2581 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 17 November 2010 - 12:04 AM

Mới mở cad lên thí sử dụng lần đầu không thấy đối tượng sau khi move,làm lần 2 mới được.Mong bác xem lại giùm.Thanks

Xin lỗi bạn lúc nãy bận quá nên chưa test kĩ được. Mình sửa laik cho bạn rồi đây.

;; free lisp from cadviet.com

(defun C:TTT ( / vt pt1 pt2 pt3 pt4 pt5 pt6 pt7 pt8 pt9 pt10 pt11)
(setq vt (ssadd))
(setq bk (getvar "USERR3"))
(if (= bk 0)
(progn
(setq cont "1")
(setvar "USERR3" 1)
)
(setq cont (rtos bk))
)
(setq pt1 (getpoint "\n Nhap diem dat:"))
(command "layer" "m" "S01. BOUNDARY LINE" "c" "7" """")
(command "osnap" "")
(COMMAND "COLOR" "7" "")
(command "circle" pt1 500)
(setq vt (ssadd (entlast) vt))
(setq pt2 (polar pt1 0 500))
(setq pt3 (polar pt1 (/ pi 1) 500))
(setq pt4 (polar pt1 0 750))
(setq pt5 (polar pt1 (/ pi 1) 750))
(setq pt6 (polar pt1 (- 0 (/ pi 2)) 500))
(setq pt7 (polar pt1 (- 0 (/ pi 2)) 750))
(setq pt8 (polar pt1 (/ pi 2) 500))
(setq pt9 (polar pt1 (/ pi 2) 750))
(setq pt10 (polar pt1 0 500))
(setq pt11 (polar pt1 (/ pi 4) 750))
(COMMAND "COLOR" "7" "")
(command "line" pt2 pt4 "")
(setq vt (ssadd (entlast) vt))
(command "line" pt6 pt7 "")
(setq vt (ssadd (entlast) vt))
(command "line" pt3 pt5 "")
(setq vt (ssadd (entlast) vt))
(command "line" pt8 pt9 "")
(setq vt (ssadd (entlast) vt))
(setq dk (strcat "\n Size:<"cont">"))
(setq bk (getreal dk))
(if (= bk nil)
(progn
(setq bk (getvar "USERR3"))
)
(setvar "USERR3" bk)
)
(command "layer" "m" "S08. TEXT" "c" "3" """")
(COMMAND "COLOR" "3" "")
(COMMAND "STYLE" "XKC" "VHELVCN.TTF" "" "" "" "" "")
(command "attdef" "" "A" "A" "A" "j" "mc" pt1 (* 400 bk) "")
(setq vt (ssadd (entlast) vt))
(if (= (tblsearch "block" "ghichu") nil)
(command "block" "ghichu" pt1 vt "")
(command "block" "ghichu" "y" pt1 vt "")
)
(command "insert" "ghichu" pt1 bk bk "0" "A")
(COMMAND "COLOR" "BYLAYER" "")
(command "osnap" "End,Mid,Cen,Quad,Int,Perp,Tan,Near,App,Int,Ext,Par" )
(command "move" (entlast) "" pt1)
)
(princ)

  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#2582 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 17 November 2010 - 12:07 AM

Chào bạn quan08,
Nó đã tạo thành block thuộc tính rồi mà, cái block đó gồm một vòng tròn và một thuộc tính là cái chữ A của bạn đó. Block có tên là ghi thep. Bạn cứ dùng lệnh insert cái block ghi thep này sẽ thấy rõ mà....

Bác Bình ạ đúng là code đó bị sai chỗ hàm (if em quên mất lại đi đặt 2 diều kiện nên cái block ghichu nó bị tạo thành 2 lần nên lần, lần thứ 2 thì tập chọn vt bị rỗng nên nó mới trắng phớ như vậy.
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#2583 lekhuyen

lekhuyen

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 17 November 2010 - 12:20 AM

mình cần môt file autocad 3d về một thiết bị dầu khí nào đó
bác nào có cho em xin nha
cảm ơn các bác nhiều

  • 0

#2584 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 17 November 2010 - 01:17 AM

Dạ chào anh Bình!Trước tiên em xin cảm ơn anh đã quan tâm đến yêu cầu của em!
Em đã test thử rồi! Lisp đã đúng ý em! Chỉ có vấn đề nhỏ bé tẹo là sau khi thực hiện xong trong dòng command hiện 1 đống text lên ko biết đó là gì vậy anh!
Xin chân thành cảm ơn anh!

Chào bạn Truongthanh,
Bạn xài cái lisp mình mới bổ sung để khắc phục những điều chưa được hoàn thiện mà mình đã nói ở trên xem đã ưng ý chưa nhé.

(defun c:gtxt (/ ss h sst ssl en els g plst pt obj p0 dis p1 )
(vl-load-com)
(setq ss (acet-ss-to-list (ssget (list (cons 0 "text,lwpolyline"))))
h (getdist "\n Nhap khoang cach: ")
sst (list)
ssl (list)
)
(foreach e ss
(setq en (entget e) )
(if (= (cdr (assoc 0 en)) "TEXT")
(setq sst (append sst (list e)))
(setq ssl (append ssl (list e)))
)
)
(foreach x sst
(setq els (entget x)

g (cdr (assoc 50 els))
plst (list)
)
(if (or (/= (cdr (assoc 72 els)) 0) (/= (cdr (assoc 73 els)) 0) )
(setq pt (cdr (assoc 11 els)))
(setq pt (cdr (assoc 10 els)))
)
(foreach y ssl
(setq obj (vlax-ename->vla-object y)
p0 (vlax-curve-getclosestpointto obj pt)
dis (distance pt p0)
plst (append plst (list (list p0 dis y)))

)
)
(setq plst (vl-sort plst '(lambda (a b ) (< (cadr a ) (cadr b ))))
p1 ( polar (caar plst) (+ g (/ pi 2)) h)

)
(if (or (/= (cdr (assoc 72 els)) 0) (/= (cdr (assoc 73 els)) 0) )
(setq els (subst (cons 11 p1) (assoc 11 els) els))
(setq els (subst (cons 10 p1) (assoc 10 els) els))
)
(entmod els)
;;;;;;(command "move" x "" pt p1)
)
(princ)
)


Hy vọng nó sẽ giúp ich cho bạn. Chúc bạn vui....
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#2585 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 17 November 2010 - 09:01 AM

Chào các anh!
Em có sưu tầm được 1 lisp tính cao độ nhưng lisp này còn thô sơ quá nay nhờ các anh sửa dùm em 1 tí:
1/ Hiện nay khi thực hiện lisp đến đoạn nhập chiều dài và độ dốc phải nhập tay, nay nhờ các anh chỉnh lại dùm em là thay vì nhập tay chiều dài vào độ dốc thì em pick vào cái text có sẵn trên màn hình thì lisp sẽ lấy giá trị chiều dài và độ dốc và thực hiện tiếp tục.
2/ Với lại sửa dùm em sao khi đặt điểm chèn TEXT em kéo qua phía bên trái thì cái PLINE nó lại nhảy qua phía bên phải!
Chi tiết các anh xem dùm em trong file đính kèm gồm file LISP và file CAD!
http://www.cadviet.c...files/3/cdc.rar
Xin cảm ơn các anh!

@Anh BÌNH: Lisp quá đúng ý em!Một lần nữa xin cảm ơn anh! Chúc anh vui vẽ!
  • 0

#2586 atl

atl

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 17 November 2010 - 09:03 AM

Bạn gửi File cad cái bạn muốn lên thì mọi người dễ giúp bạn hơn!!

đây là file http://www.cadviet.c...3/vi_du.dwg.nhờ mọi người giúp
  • 0

#2587 atl

atl

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 17 November 2010 - 09:05 AM

đây là file http://www.cadviet.c...3/vi_du.dwg.nhờ mọi người giúp

up lại file http://www.cadviet.c...les/3/vi_du.dwg
  • 0

#2588 cet_7111

cet_7111

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 17 November 2010 - 10:51 AM

mấy bác coi dùm em lisp này với sao em dùng không được em làm tới nhập khoảng cách là bó tay mấy bác coi thử nó có thiếu file dwg không.em chua biet cach thưc hiện lisp, may bác ghi ro các bước thưc hiện trên dòng lệnh lun ngen em cam on nhiều nhiều.đay là lisp
http://www.cadviet.c...v_t3v_tmc_1.lsp
  • 0

#2589 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 17 November 2010 - 02:22 PM

mấy bác coi dùm em lisp này với sao em dùng không được em làm tới nhập khoảng cách là bó tay mấy bác coi thử nó có thiếu file dwg không.em chua biet cach thưc hiện lisp, may bác ghi ro các bước thưc hiện trên dòng lệnh lun ngen em cam on nhiều nhiều.đay là lisp
http://www.cadviet.c...v_t3v_tmc_1.lsp

Nó còn thiếu các file sau: goct.dwg, cmten.dwg, dmten.dwg nếu bạn có thì up lên nốt để mọi người test cho bạn
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#2590 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 17 November 2010 - 03:16 PM

Chào các anh!
Em có sưu tầm được 1 lisp tính cao độ nhưng lisp này còn thô sơ quá nay nhờ các anh sửa dùm em 1 tí:
1/ Hiện nay khi thực hiện lisp đến đoạn nhập chiều dài và độ dốc phải nhập tay, nay nhờ các anh chỉnh lại dùm em là thay vì nhập tay chiều dài vào độ dốc thì em pick vào cái text có sẵn trên màn hình thì lisp sẽ lấy giá trị chiều dài và độ dốc và thực hiện tiếp tục.
2/ Với lại sửa dùm em sao khi đặt điểm chèn TEXT em kéo qua phía bên trái thì cái PLINE nó lại nhảy qua phía bên phải!
Chi tiết các anh xem dùm em trong file đính kèm gồm file LISP và file CAD!
http://www.cadviet.c...files/3/cdc.rar
Xin cảm ơn các anh!

@Anh BÌNH: Lisp quá đúng ý em!Một lần nữa xin cảm ơn anh! Chúc anh vui vẽ!

Chào bạn Truongthanh,
Vấn đề này của bạn hoàn toàn có thể giải quyết được.
1/- Bạn hãy kết hợp lisp trên của bạn với cái lisp tách chuỗi mà mình đã viết trên diễn đàn là có thể thực hiện dễ dàng bạn ạ.
2/- Việc cái pline nó nhảy về bên phải là do cái thằng (setq p5 (polar p3 0 20)) này bạn ạ. Bạn có thể điều chỉnh nó theo ý của bạn được mà...
Chúc bạn vui...
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#2591 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 17 November 2010 - 03:19 PM

Chào bạn Truongthanh,
Vấn đề này của bạn hoàn toàn có thể giải quyết được.
1/- Bạn hãy kết hợp lisp trên của bạn với cái lisp tách chuỗi mà mình đã viết trên diễn đàn là có thể thực hiện dễ dàng bạn ạ.
2/- Việc cái pline nó nhảy về bên phải là do cái thằng (setq p5 (polar p3 0 20)) này bạn ạ. Bạn có thể điều chỉnh nó theo ý của bạn được mà...
Chúc bạn vui...

Anh Bình có thể giúp em chi tiết hơn được ko anh?
  • 0

#2592 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 17 November 2010 - 03:43 PM

up lại file http://www.cadviet.c...les/3/vi_du.dwg

Hề hề hề, chào bạn atl.
Xem file bạn gửi rồi , song do chả có chuyên môn nên mình mù tịt chả hiểu bạn cần gì nữa. Nếu bạn không sợ lộ bí mật nghề nghiệp thì mong bạn hãy giải thích cho rõ hơn cái yêu cầu của bạn nhé.
Cái gọi là đường chân công trình của bạn được vẽ dựa trên các tham số nào??? Cách lấy các tham số ấy ra sao???
Các yếu tố mà bạn nêu như : tim công trình,cao trình và chiều rộng đỉnh,hệ số mài đào hoặc đắp cả thượng và hạ,cao trình và chiều rộng cơ hạ,thượng ... thể hiện ở đâu trên cái bình đồ mà bạn gửi???? Thề hiện bởi các text hay là phải tự đo trên bình đồ????
Túm lại là bạn phải giải thích rõ vấn đề bạn cần cho những người ngoại ngạch chuyên môn của bạn có thể hiểu được thì bạn mới có thể có được sự hỗ trợ đầy đủ và cần thiết. Bởi không phải ai trên diễn đàn cũng rành về cái chuyên môn của bạn như bạn mong muốn.
Nếu không làm dược như vầy thì bạn hãy chịu khó chờ những người vừa giỏi chuyên môn của bạn lại vừa giỏi cả CAD và Lisp, hay là giỏi về cái bạn cần cũng như có đủ thời gian rảnh rỗi để giúp bạn vậy.
Cái đám amateur như mình chắc bó tay bó chân, dựa cột nghe phán vậy. Hề hề hề......
Chúc bạn vui.
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#2593 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 17 November 2010 - 05:41 PM

Anh Bình có thể giúp em chi tiết hơn được ko anh?

Chào bạn Truongthanh,
Có phải bạn muốn cái này không???

;tinh cao do cong
(defun C:cdc (/ s1 L1 i1 txt i n k m t1 t2 t3 m1 s2 p2 p3 p4 p5 p6 )
(setq s1 (getreal "\nCAO DO DAY CONG DIEM DAU: "))
;;;;;(setq L1 (getreal "\nCHIEU DAI CONG: "))
;;;;;(setq i1 (getreal "\nDO DOC CONG: "))
(setq txt (cdr (assoc 1 (entget (car (entsel "\n Chon text chuan " )))))
i 1
n (strlen txt)
k nil
)
(while (<= i n)
(setq kt (substr txt i 1))
(if (= kt "-")
(progn
(setq k i
i n)
)
)
(setq i (1+ i))
)
(if k
(progn
(setq t1 (substr txt 1 (- k 2))
t2 (substr txt (+ k 3) n)
)
(setq n (strlen t2)
i 1
m nil
)
(while (<= i n)
(setq kt (substr t2 i 1))
(if (= kt "-")
(progn
(setq m i
i n)
)
)
(setq i (1+ i))
)
(if m
(progn
(setq t3 (substr t2 (+ m 3) n))
(setq t2 (substr t2 1 (- m 2)))
)
)
)
)
(setq L1 (atof t2)
i1 (atof t3)
)
(setq m1 (getreal "\nCAO DO THIET KE DIEM: "))
(setq s2 (- s1 (* L1 i1)))
(setq p2 (getpoint "\nchon diem cuoi doan cong"))
(setq p3 (getpoint "\nchon diem dat text"))
(setq p4 (polar p3 (/ pi 4) 1))
(setq p5 (polar p3 0 20))
(setq p6 (polar p3 (/ (- 0 pi) 4) 1))
(setvar "snapmode" 0)
(setvar "osmode" 0)
(command ".text" p4 "" 0 (strcat (RTOS S2 2 2))
".text" "j" "tl" p6 "" "" (strcat (RTOS m1 2 2))
".pline" p2 "w" 0.1 0.1 p3 p5 "" )
(setvar "snapmode" 0)
(setvar "osmode" 16383)

(princ)
)


Cái vụ pline sang phải nếu muốn sửa bạn phải sửa cả cái vụ ghi text nữa. Vậy bạn muốn sao???
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#2594 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 17 November 2010 - 06:09 PM

Chào bạn Truongthanh,
Cái vụ pline sang phải nếu muốn sửa bạn phải sửa cả cái vụ ghi text nữa. Vậy bạn muốn sao???

Anh Bình ơi! Lisp chạy không ra kết quả đúng anh ơi!
Cái chỗ nhập cao độ thiết kế điểm là có tới 2 lần nhập lận (1 cái là cao độ thiết kế điểm đầu, 1 cái là cao độ thiết kế điểm sau), nhưng sang lisp mới anh sửa chỉ còn có 1 lần nhập à! Với lại kết quả cao độ đáy cống điểm sau ra 1 con số rất lớn (âm mấy trăm lận) ko đúng như kết quả anh ơi! Nhờ anh kiểm tra dùm em với!

Còn vụ đặt Text, Dạ ý em là mình làm sao mà đặt Text bên nào cũng được hết đó anh, ko bị lỗi, ngay cả khi đặt bên phải cái Pline ngăn cách cái text trên và text dưới cũng bị lỗi là dài ra nữa!
Cảm ơn anh Bình rất nhiều!
  • 0

#2595 cet_7111

cet_7111

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 17 November 2010 - 06:22 PM

Nó còn thiếu các file sau: goct.dwg, cmten.dwg, dmten.dwg nếu bạn có thì up lên nốt để mọi người test cho bạn

CÁM on bác đã quan tâm dến vấn đề của em nhưng em tìm mãi mà chẳng ra mấy file dwg đó bác ah. lisp ne em tìm được không có file dwg thi phải giờ làm sao hả bác,bác co file do hok cho em với, hay bác tao cho em với,hay bác có lisp khác cho em cung đươc.hjhj em là lính mớ vào nghề nên con dốt lém bác giúp em ngen em cảm ơn nhjều :iluvyousmiley:
  • 0

#2596 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 17 November 2010 - 07:37 PM

Anh Bình ơi! Lisp chạy không ra kết quả đúng anh ơi!
Cái chỗ nhập cao độ thiết kế điểm là có tới 2 lần nhập lận (1 cái là cao độ thiết kế điểm đầu, 1 cái là cao độ thiết kế điểm sau), nhưng sang lisp mới anh sửa chỉ còn có 1 lần nhập à! Với lại kết quả cao độ đáy cống điểm sau ra 1 con số rất lớn (âm mấy trăm lận) ko đúng như kết quả anh ơi! Nhờ anh kiểm tra dùm em với!

Còn vụ đặt Text, Dạ ý em là mình làm sao mà đặt Text bên nào cũng được hết đó anh, ko bị lỗi, ngay cả khi đặt bên phải cái Pline ngăn cách cái text trên và text dưới cũng bị lỗi là dài ra nữa!
Cảm ơn anh Bình rất nhiều!

Chào bạn Truongthanh,
Hề hề hề,
Hổng phải đâu là hổng phải đâu. Vẫn còn đủ hai lần nhập cao độ chớ bộ. Mình đâu có dám ăn bớt ăn xén chi cái lisp đó đâu. Hề hề hề. Một lần tru7o71v khi chọn text chuẩn, một lần sau khi chọn text chuẩn mừ.
Cái vụ tính toán thì mình chả hề đụng vào đâu, mình chỉ thay cái vụ nhập giá trị chiều dài ống và góc dốc bằng việc chọn text chuẩn mà thôi. Vậy có nhẽ bạn gửi cho mình cái lisp không đúng rồi. Mình đã thử chạy với cả hai lisp trước và sau khi sửa đều cho ra kết quả giống nhau mà.... Bạn hãy kiểm tra lại cái lisp cdc bạn post xem sao nhé. Theo mình đoán có thể cái lisp đó thiếu mất khúc đổi đơn vị khi tính toán chăng????? Hoặc giả là cái độ dốc i bạn ghi trong text là chưa đúng, phải là 3.33% chứ không phải 3.33. Nếu đúng vậy bạn phải bổ sung vào dòng code:
i1 (atof t3)
để trở thành:
i1 (/ (atof t3) 100)

Cái pline bị dài thì bạn chỉ cần thay (setq p5 (polar p3 0 20)) bằng (setq p5 (polar p3 0 6))là nó ngắn lại ngay ý mà....
Việc bạn muốn text đặt trái phải tùy ý đã giải quyết được rồi. Chỉ cần bạn Ok là mình sẽ bổ sung thêm được, bạn cứ yên trí nhớn để kiểm tra cho nó chuẩn cái nội dung text đi đã nhé.....
Hề hề hề,...
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#2597 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 17 November 2010 - 07:44 PM

CÁM on bác đã quan tâm dến vấn đề của em nhưng em tìm mãi mà chẳng ra mấy file dwg đó bác ah. lisp ne em tìm được không có file dwg thi phải giờ làm sao hả bác,bác co file do hok cho em với, hay bác tao cho em với,hay bác có lisp khác cho em cung đươc.hjhj em là lính mớ vào nghề nên con dốt lém bác giúp em ngen em cảm ơn nhjều :iluvyousmiley:

Bạn cet_7111 ơi,
Có thể đó là các block mà người viết lisp đã tạo sẵn để dùng. Bạn nên hỏi trực tiếp người cho bạn cái lisp đó thì sẽ chắc ăn hơn. Việc làm lisp do tư duy mỗi người khác nhau nên rất khó để biết được cái người làm lisp trước đã nhét gì vào trong cái block của họ. Vì thế ngay cả việc bạn yêu cầu làm mấy cái block hay file thay thế đó cũng rất là khó khăn chứ chưa nói đến việc phải đọc, và dò từng dòng code để hiểu nó.
Trên diễn đàn cũng đã có lisp vẽ thang của bác Hoành thì phải. Bạn hãy chịu khó tìm kiếm xem sao.
Hy vọng nó đáp ứng yêu cầu của bạn, Nếu còn chỗ nào chưa ưng thì bạn hãy pót lên, mọi người sẽ góp ý.
Chúc bạn vui.
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#2598 nguoi_tho_mo

nguoi_tho_mo

    biết vẽ arc

  • Members
  • PipPip
  • 41 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 17 November 2010 - 08:09 PM

Có thể đó là các block mà người viết lisp đã tạo sẵn để dùng. Bạn nên hỏi trực tiếp người cho bạn cái lisp đó thì sẽ chắc ăn hơn. Việc làm lisp do tư duy mỗi người khác nhau nên rất khó để biết được cái người làm lisp trước đã nhét gì vào trong cái block của họ. Vì thế ngay cả việc bạn yêu cầu làm mấy cái block hay file thay thế đó cũng rất là khó khăn chứ chưa nói đến việc phải đọc, và dò từng dòng code để hiểu nó.
Trên diễn đàn cũng đã có lisp vẽ thang của bác Hoành thì phải. Bạn hãy chịu khó tìm kiếm xem sao.
Hy vọng nó đáp ứng yêu cầu của bạn, Nếu còn chỗ nào chưa ưng thì bạn hãy pót lên, mọi người sẽ góp ý.
Chúc bạn vui.
[/quote]

Chào bác Phamthanhbinh. chúc bác buổi tối vui vẻ
Nhân tiện gặp bác Online lại bàn về Block nhờ bác chỉ giáo:
1. Sau khi tạo được Block đưa vào palette, em muốn chuyển tất cả block (thư viện) của em có sang một máy khác thì phải làm thế nào?
2. Em muốn sao chép các tính năng trên CAD (như lisp, thư viện, Menu) của máy em sang máy khác thì có những cách nào để làm a.
Rất mong bác Bình và các anh chị giúp đỡ
  • 0

#2599 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 17 November 2010 - 08:28 PM

Có thể đó là các block mà người viết lisp đã tạo sẵn để dùng. Bạn nên hỏi trực tiếp người cho bạn cái lisp đó thì sẽ chắc ăn hơn. Việc làm lisp do tư duy mỗi người khác nhau nên rất khó để biết được cái người làm lisp trước đã nhét gì vào trong cái block của họ. Vì thế ngay cả việc bạn yêu cầu làm mấy cái block hay file thay thế đó cũng rất là khó khăn chứ chưa nói đến việc phải đọc, và dò từng dòng code để hiểu nó.
Trên diễn đàn cũng đã có lisp vẽ thang của bác Hoành thì phải. Bạn hãy chịu khó tìm kiếm xem sao.
Hy vọng nó đáp ứng yêu cầu của bạn, Nếu còn chỗ nào chưa ưng thì bạn hãy pót lên, mọi người sẽ góp ý.
Chúc bạn vui.
Chào bác Phamthanhbinh. chúc bác buổi tối vui vẻ
Nhân tiện gặp bác Online lại bàn về Block nhờ bác chỉ giáo:
1. Sau khi tạo được Block đưa vào palette, em muốn chuyển tất cả block (thư viện) của em có sang một máy khác thì phải làm thế nào?
2. Em muốn sao chép các tính năng trên CAD (như lisp, thư viện, Menu) của máy em sang máy khác thì có những cách nào để làm a.
Rất mong bác Bình và các anh chị giúp đỡ

Hề hề hề,
Chào Nguoi_tho_mo,
Cái vụ này không quá khó khăn đâu, chỉ cần nguoi_tho_mo có một cái USB đủ lớn để copy tất cả những gì cần chuyển vô. Sau đó sang máy mới, nguoi_tho_mo nhét cái USB ấy vô và copy toàn bộ chúng vào một thư mục bất kỳ có trong đường dẫn tìm kiếm của CAD là OK mà. Nhưng có nhẽ tốt hơn là nguoi_tho_mo hãy tạo một thư mục riêng của mình để lưu các dữ liệu đó nhằm tránh những sự conflict không cần thiết. Sau đó nguoi_tho_mo hãy tạo đường dẫn tìm kiếm trong CAd tới cái thư mục vừa tạo của nguoi_tho_mo.
Vậy là từ đó về sau CAD sẽ tự tìm tới thư mục của nguoi_tho_mo để lấy dữ liệu mỗi khi nguoi_tho_mo cần.
Hề hề hề, chúc nguoi_tho_mo luôn vui vẻ và mạnh khỏe để đào bới được nhiều thứ khi tham gia diễn đàn......
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#2600 nguoi_tho_mo

nguoi_tho_mo

    biết vẽ arc

  • Members
  • PipPip
  • 41 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 17 November 2010 - 08:43 PM

Hề hề hề,
Chào Nguoi_tho_mo,
Cái vụ này không quá khó khăn đâu, chỉ cần nguoi_tho_mo có một cái USB đủ lớn để copy tất cả những gì cần chuyển vô. Sau đó sang máy mới, nguoi_tho_mo nhét cái USB ấy vô và copy toàn bộ chúng vào một thư mục bất kỳ có trong đường dẫn tìm kiếm của CAD là OK mà. Nhưng có nhẽ tốt hơn là nguoi_tho_mo hãy tạo một thư mục riêng của mình để lưu các dữ liệu đó nhằm tránh những sự conflict không cần thiết. Sau đó nguoi_tho_mo hãy tạo đường dẫn tìm kiếm trong CAd tới cái thư mục vừa tạo của nguoi_tho_mo.
Vậy là từ đó về sau CAD sẽ tự tìm tới thư mục của nguoi_tho_mo để lấy dữ liệu mỗi khi nguoi_tho_mo cần.
Hề hề hề, chúc nguoi_tho_mo luôn vui vẻ và mạnh khỏe để đào bới được nhiều thứ khi tham gia diễn đàn......

Thanks Bác Bình.
1. Có nghĩa là nếu em muốn cài lại win mà không muốn load lại các lisp, và tính năng khác... Thì có thể copy các thư mục ví dụ: "C:\Program Files\AutoCAD 2007\" vào usb rồi sau khi cài lại cad thì Pate trả lại các file và foder trong usb vào ổ C:\Program Files\AutoCAD 2007. Phải không ah.
2. Nếu trong quá trình cần làm vệc tạm thời trên máy khác mà không muốn ảnh hưởng tới máy người khác. Bác có thể giúp em 1 lisp để không phải Pate vào ổ c mà sử dụng ngay trên usb hay foder riêng được không bác. sau khi làm xong thì trả máy cho họ với tính năng của cad như cũ. Hình như có phần giống lisp di động trên diễn đàn
  • 0